Replace providers for a prompt

Replaces the full provider list for a prompt. The previous provider assignments are discarded.

PUT /prompts/{promptId}/providers

Replace providers for a prompt

Replaces the full provider list for a prompt. The previous provider assignments are discarded.

Authentication: API key required (Bearer token)

Parameters

NameInRequiredDescription
promptIdpathYesPrompt ID to operate on.

Request Body

FieldTypeRequiredDescription
providersarrayYesFull provider list that replaces existing providers for this prompt.

Request Example

curl -X PUT https://sellm.io/api/v1/prompts/example_id/providers \
  -H "Authorization: Bearer sellm_your_api_key_here" \
  -H "Content-Type: application/json"

Responses

StatusDescription
200Prompt providers updated
400Bad request
401Unauthorized
403Prompt limit exceeded
404Prompt not found
429Rate limited
500Internal error